GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
    Clearing
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

List Staking Rewards

TradingStakingList Staking Rewards

List Staking Rewards

POSThttps://api.gemini.com/v1/staking/rewards

Returns historical staking reward payments and accruals, grouped by provider and currency.

POSTv1/staking/rewards
curl --request POST \
  --url https://api.gemini.com/v1/staking/rewards \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/staking/rewards",
  "nonce": "<nonce>",
  "since": "2022-08-20T00:00:00.000Z",
  "until": "2022-11-05T00:00:00.000Z",
  "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
  "currency": "ETH"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/staking/rewards"
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group.
sincestring·required
In iso datetime with timezone format
untilstring
In iso datetime with timezone format, default to current time as of server time
providerIdstring
Borrower Id, in uuid4 format. providerId is accessible from the [Staking rates](#list-staking-rates) response
currencystring
Currency code, see [symbols](/market-data/symbols-and-minimums)
Example request body
{
  "request": "/v1/staking/rewards",
  "nonce": "<nonce>",
  "since": "2022-08-20T00:00:00.000Z",
  "until": "2022-11-05T00:00:00.000Z",
  "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
  "currency": "ETH"
}

Responses

A nested JSON object, organized by provider, then currency

provider_uuidobject
Currency Symbol Keys
provider_uuid.currency_symbolobject
provider_uuid.currency_symbol.providerIdstring
Provider Id, in uuid4 formatExample: 62b21e17-2534-4b9f-afcf-b7edb609dd8d
provider_uuid.currency_symbol.currencystring
Currency code, see [symbols](/market-data/symbols-and-minimums)Example: MATIC
provider_uuid.currency_symbol.accrualTotalnumber (decimal)
The total accrualExample: 0.103994
provider_uuid.currency_symbol.ratePeriodsarray
Array of JSON objects with period accrual information
provider_uuid.currency_symbol.ratePeriods[].providerIdstring
Provider Id, in uuid4 formatExample: 62b21e17-2534-4b9f-afcf-b7edb609dd8d
provider_uuid.currency_symbol.ratePeriods[].currencystring
Currency code, see [symbols](/market-data/symbols-and-minimums)Example: MATIC
provider_uuid.currency_symbol.ratePeriods[].apyPctnumber (decimal)
Staking reward rate expressed as an APY at time of accrual. Interest on Staking balances compounds daily based on the simple rate which is available from `/v1/staking/rates/`Example: 5.75
provider_uuid.currency_symbol.ratePeriods[].ratePctnumber (decimal)
Rate expressed as a percentageExample: 5.592369
provider_uuid.currency_symbol.ratePeriods[].numberOfAccrualsinteger
Number of accruals in the specific aggregate, typically one per day. If the rate is adjusted, new accruals are added.Example: 1
provider_uuid.currency_symbol.ratePeriods[].accrualTotalnumber (decimal)
The total accrualExample: 0.0065678
provider_uuid.currency_symbol.ratePeriods[].firstAccrualAtstring
Time of first accrual. In iso datetime with timezone formatExample: 2022-08-23T20:00:00.000Z
provider_uuid.currency_symbol.ratePeriods[].lastAccrualAtstring
Time of last accrual. In iso datetime with timezone formatExample: 2022-08-23T20:00:00.000Z
Example Responses
{
  "62b21e17-2534-4b9f-afcf-b7edb609dd8d": {
    "MATIC": {
      "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
      "currency": "MATIC",
      "accrualTotal": 0.103994,
      "ratePeriods": [
        {
          "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
          "currency": "MATIC",
          "apyPct": 5.75,
          "ratePct": 5.592369,
          "numberOfAccruals": 1,
          "accrualTotal": 0.0065678,
          "firstAccrualAt": "2022-08-23T20:00:00.000Z",
          "lastAccrualAt": "2022-08-23T20:00:00.000Z"
        },
        {
          "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
          "currency": "MATIC",
          "apyPct": 5.2,
          "ratePct": 5.073801,
          "numberOfAccruals": 1,
          "accrualTotal": 0.0037971687995651837,
          "firstAccrualAt": "2022-10-28T20:00:00.000Z",
          "lastAccrualAt": "2022-10-28T20:00:00.000Z"
        }
      ]
    },
    "ETH": {
      "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
      "currency": "ETH",
      "accrualTotal": 0.017999076209977,
      "ratePeriods": [
        {
          "providerId": "62b21e17-2534-4b9f-afcf-b7edb609dd8d",
          "currency": "ETH",
          "apyPct": 0.66,
          "ratePct": 0.65913408,
          "numberOfAccruals": 1,
          "accrualTotal": 0.00014802170517505,
          "firstAccrualAt": "2022-11-02T20:00:00.000Z",
          "lastAccrualAt": "2022-11-02T20:00:00.000Z"
        }
      ]
    }
  }
}
PreviousList Staking RatesNextClearing
Last modified on May 5, 2026